Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005805OCamlOCaml typingpublic2012-10-31 19:572013-03-26 14:24
Reporterturpin 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.00.1 
Target VersionFixed in Version4.01.0+dev 
Summary0005805: Assert failure with warning 34 on pre-processed file
DescriptionEnv.set_type_used_callback raises an assert failure with warning 34 enabled, for a pre-processed source file. However, maybe the OCaml Ast that I generate (not a Camlp4 AST) doesn't respect some implicit assumption, because after unparsing with pprintast (which I have modified), the error disappears.
Steps To ReproduceI doubt the ast file will be usefull.
Additional InformationTried with latest svn trunk too.
TagsNo tags attached.
Attached Files? file icon buffer.ast [^] (3,110 bytes) 2012-10-31 19:57

- Relationships
has duplicate 0005961resolvedfrisch Unused type warnings seem to does not work with the ghost locatoin 

-  Notes
(0008404)
frisch (developer)
2012-11-01 16:45

Could it be the case that your AST contains a ghost location for the type declaration (ptype_loc field)?
(0008405)
turpin (reporter)
2012-11-01 18:05

Definitely. Many modifications that I do on the ast are not properly located yet, so there are "Location.none" everywhere.
(0008430)
frisch (developer)
2012-11-06 17:37

Can you try with the current trunk? Commit 13065 should fix this issue (the warning will never be raised for declarations without locations, though).
(0008435)
turpin (reporter)
2012-11-06 19:47

Yes, it is fixed. Thanks.

- Issue History
Date Modified Username Field Change
2012-10-31 19:57 turpin New Issue
2012-10-31 19:57 turpin File Added: buffer.ast
2012-11-01 16:45 frisch Note Added: 0008404
2012-11-01 18:05 turpin Note Added: 0008405
2012-11-06 17:37 frisch Note Added: 0008430
2012-11-06 17:38 frisch Assigned To => frisch
2012-11-06 17:38 frisch Status new => assigned
2012-11-06 19:47 turpin Note Added: 0008435
2012-11-07 17:28 frisch Status assigned => closed
2012-11-07 17:28 frisch Resolution open => fixed
2012-11-07 17:28 frisch Fixed in Version => 4.01.0+dev
2013-03-26 14:24 frisch Relationship added has duplicate 0005961


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker